/*Display Properties*/

#div-1 {
	background-color: green;
	display: inline;
}

#span-1 {
	background-color: purple;
	width: 200px;
	height: 200px;
	display: none;
}

#span-2 {
	background-color: red;
	display: block;
}

#div-2 {
	background-color: hotpink;
	display: none;
}

#img {
	display: inline-block;
	width: 250px;
	height: 250px;
}

#p-1 {
	background-color: #87CEFA;
}

#p-2 {
	background-color: rgb(255,105,180);
	width: 60%;
}

#p-3{
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*Float Property*/

/*#p-float {
	float: left;
}*/

.img-float {
	width: 250px;
	height: 250px;
	float: inherit; /*inherits the float property of the parent element*/
}


/*CSS Units*/

.box {
	background-color: red ;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.fifty-vw {
	width: 50vw;/*based in the screen size*/
}

.twenty-five-vh {
	height: 25vh;/*based in the screen size*/
}

.one-rem {
	font-size: 1rem;/*16px-default*/
}

.one-em {
	font-size: 1em;/*based on the parent element*/
}

.two-rem {
	font-size: 2rem;/*based on the root element - html (default font-size: 16px*/
}

.two-em {
	font-size: 2em;
}

.two-hundred-percent {
	font-size: 200%;/*based on the parent element*/
}

/*CSS Background Properties*/
.background {
	min-height: 100vh;
	background-image:url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center top;
	background-attachment: scroll;
}

.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

/*CSS Positioning*/
/*"position: static" - default, according to the normal flow of the document
We cannot set left, right, top, bottom, z-index*/

.parent-element {
	background-color: skyblue;
	padding: 50px 10px;
	position: relative; /*positioned according to the normal flow of the document, but we can set left, right, top, bottom, z-index*/
	height: 800px;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two{
	background-color: yellow;
	padding: 10px;
	position: sticky; /* "relative" with a mix of fixed - acts as relative until a scroll point then acts as fixed */
	top: 10px;
}

.child-three {
	background-color: gray;
	padding: 10px;
}

html {
	height: 800vh;
}

/*Z-index*/

.container {
	position: relative;
	border: 2px solid black;
}

.black-box {
	position: relative;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
	z-index: 1;
}

.gray-box {
	position: absolute;
	background: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	z-index: 3; /* gray box will be above both green and black box */
}

.green-box {
	/*removed from the normal flow
	 left, right, top, bottom determines the position*/
	/*relative to parent element*/
	/*parent needs to be positioned except "static"*/
	position: absolute;
	background: lightgreen;
	width: 35%;
	left:  270px;
	top: -15px;
	height:  100px;
	z-index: 2;
}
